Functions

# dmxscrinit.h File Reference

`#include "scrnintstr.h"`

Go to the source code of this file.

## Functions
Bool | dmxScreenInit (int idx, ScreenPtr pScreen, int argc, char *argv[])
void | dmxBEScreenInit (int idx, ScreenPtr pScreen)
void | dmxBECloseScreen (ScreenPtr pScreen)

## Detailed Description

Interface for screen initialization.

See also:
  dmxscrinit.c

## Function Documentation

void dmxBECloseScreen | ( | ScreenPtr | pScreen | ) |

Close the pScreen resources on the back-end server.

References _DMXScreenInfo::beDefColormaps, _DMXScreenInfo::beDepths, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumDefColormaps, _DMXScreenInfo::beNumPixmapFormats, _DMXScreenInfo::bePixmapFormats, _DMXScreenInfo::beVisuals, dmxDPMSTerm(), dmxScreens, dmxShadowFB, _DMXScreenInfo::noCursor, _DMXScreenInfo::scrnDefDrawables, _DMXScreenInfo::scrnWin, _DMXScreenInfo::shadowFBImage, and _DMXScreenInfo::shadowGC.

Referenced by dmxCloseScreen(), and dmxDetachScreen().

void dmxBEScreenInit | ( | int | idx,
|  | ScreenPtr | pScreen |
| ) |  |  |

Initialize the parts of screen idx that require access to the back-end server.

References _DMXScreenInfo::beBlackPixel, _DMXScreenInfo::beBPP, _DMXScreenInfo::beDefColormaps, _DMXScreenInfo::beDefVisualIndex, _DMXScreenInfo::beDepth, _DMXScreenInfo::beDepths, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumDepths, _DMXScreenInfo::beNumPixmapFormats, _DMXScreenInfo::bePixmapFormats, _DMXScreenInfo::beVisuals, _DMXScreenInfo::beWhitePixel, dmxDPMSInit(), dmxPropertyWindow(), dmxScreens, dmxShadowFB, _DMXScreenInfo::noCursor, _DMXScreenInfo::scrnDefDrawables, _DMXScreenInfo::scrnHeight, _DMXScreenInfo::scrnWidth, _DMXScreenInfo::scrnWin, _DMXScreenInfo::scrnX, _DMXScreenInfo::scrnY, _DMXScreenInfo::shadow, _DMXScreenInfo::shadowFBImage, and _DMXScreenInfo::shadowGC.

Referenced by dmxAttachScreen(), and dmxScreenInit().

Bool dmxScreenInit | ( | int | idx,
|  | ScreenPtr | pScreen,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Initialize screen number idx.

References _DMXScreenInfo::beBPP, _DMXScreenInfo::beDefVisualIndex, _DMXScreenInfo::beDepths, _DMXScreenInfo::beNumDepths, _DMXScreenInfo::beNumVisuals, _DMXScreenInfo::beVisuals, _DMXScreenInfo::beXDPI, DMX_WRAP, dmxBEScreenInit(), dmxBitmapToRegion(), dmxChangeBorderWidth(), dmxChangeWindowAttributes(), dmxCloseScreen(), dmxColormapPrivateKeyRec, dmxCopyWindow(), dmxCreateColormap(), dmxCreateDefColormap(), dmxCreateGC(), dmxCreatePixmap(), dmxCreateWindow(), dmxCursorGeneration, dmxDestroyColormap(), dmxDestroyPixmap(), dmxDestroyWindow(), dmxFontPrivateIndex, dmxGeneration, dmxGetImage(), dmxGetSpans(), dmxGlyphSetPrivateKeyRec, dmxInitGC(), dmxInitPixmap(), dmxInitWindow(), dmxInstallColormap(), dmxPictureInit(), dmxPointerCursorFuncs, dmxPointerSpriteFuncs, dmxPositionWindow(), dmxRealizeFont(), dmxRealizeWindow(), dmxReparentWindow(), dmxResizeWindow(), dmxRestackWindow(), dmxSaveScreen(), dmxScreenPrivateKeyRec, dmxScreens, dmxSetShape(), dmxShadowFB, dmxShadowUpdateProc(), dmxStoreColors(), dmxUnrealizeFont(), dmxUnrealizeWindow(), dmxWindowExposures(), _DMXScreenInfo::scrnHeight, _DMXScreenInfo::scrnWidth, and _DMXScreenInfo::shadow.

Referenced by InitOutput().